Bug 75434 - TB ConfPAP.py:95:getfields
TB ConfPAP.py:95:getfields
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
 
Reported: 2002-10-08 10:51 EDT by jroslof
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-22 10:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jroslof 2002-10-08 10:51:43 EDT
Description of Problem:
Bad: The program crashes when I try to create an ISDN connection.

Version-Release number of selected component (if applicable):


How Reproducible:
Every time.

Steps to Reproduce:
1. Open Internet Cofiguration Wizard.
2. Add new ISDN device (give information when promped).
3. Try to activate the device.
4. Click "OK" to apply changes.

Actual Results:
Program crashes and doesn't work at all before I reinstall "neat".

Expected Results:
Functional ISDN connection.

Additional Information:Traceback (innermost last):
  File "/usr/sbin/internet-druid", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/internet-druid", line 653, in on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/internet-druid", line 288, in save
    self.saveDevices()
  File "/usr/sbin/internet-druid", line 297, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py", 
line 93, in save
    papconf = getPAPConf()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NC_functions.py", 
line 91, in getPAPConf
    DVpapconf = ConfPAP.ConfPAP("/etc/ppp/pap-secrets")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ConfPAP.py", line 
30, in __init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 180, 
in __init__
    self.read()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ConfPAP.py", line 
35, in read
    self.initvars()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ConfPAP.py", line 
72, in initvars
    var = self.getfields()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ConfPAP.py", line 
95, in getfields
    raise IndexError, 'end quote not found in '+self.filename+':'+var[0]
IndexError: end quote not found in /etc/ppp/pap-secrets:ekokyla,
Comment 1 Harald Hoyer 2002-10-18 10:55:18 EDT
do you have " or ' in your username or password which is stored in
/etc/ppp/pap-secrets and/etc/ppp/chap-secrets???
Comment 2 Harald Hoyer 2002-10-23 05:35:53 EDT
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 3 jroslof 2002-10-25 05:41:15 EDT
I don't have ' or " in my username or password, but I have both , and a space 
in my username. Can this be the problem? I installed the 1.0.1 version and got 
the same result as earlier...
Comment 4 jroslof 2003-01-22 10:03:28 EST
Works with a simpler password.

Note You need to log in before you can comment on or make changes to this bug.